#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x;
    bool Neg=false,Neg2=false;
    cin>>n>>x;
    int a[n+1]; a[0]=x;
    int br=0,br2=0;
    for(int i=1;i<n+1; i++){
        cin>>a[i];
        if(a[i]>x){
            Neg=true;
        }
        if(a[i]<x){
            Neg2=true;
        }
    }
    for(int i=0; i<n; i++){
        for(int j=i+1; j<n+1; j++){
            if(a[i]>a[j]){
                int t = a[i];
                a[i]=a[j];
                a[j]=t;
            }
        }
    }
    for(int i=1;i<n+1; i++){
        if(a[i]<=x){
            br+=abs(a[i-1]-a[i]);
        }else{
            br2+=abs(a[i-1]-a[i]);
        }
    }
    if(Neg2&&Neg){
        br*=2;
    }
    cout<<br+br2<<endl;
}